Page MenuHomePhabricator

Use icons for previous, next, index tabs on Wikisource pages
Open, Needs TriagePublic

Description

  1. Add icons
  2. Make icons icon-only
  3. Reconsider placement

Random example page: https://en.wikisource.org/wiki/Page:Dictionary_of_National_Biography._Errata_(1904).djvu/43

Currently; especially poses problems in mobile etc:

What vector does:

Event Timeline

Isarra created this task.Aug 26 2019, 8:14 PM

Change 533122 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Add arrows for extension:proofreadpage pages

https://gerrit.wikimedia.org/r/533122

Change 533122 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Add arrows for extension:proofreadpage pages and sort tabs appropriately

https://gerrit.wikimedia.org/r/533122

Change 533328 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Clean up ProofreadPage page tabs a bit

https://gerrit.wikimedia.org/r/533328

Change 533327 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/extensions/ProofreadPage@master] Add page navigation tabs in correct order skin-side and remove js requirement for Vector tab icons

https://gerrit.wikimedia.org/r/533327

Note that this is partially resolved in that there will now be icons for js-enabled users, but we won't have nojs support in Timeless (or Vector) until the ProofreadPage patch is also merged.

MJL moved this task from Backlog to Backlog (Proofreader) on the Wikisource board.Sep 9 2019, 11:54 PM

Change 533327 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Add page navigation tabs in correct order skin-side and remove js requirement for Vector tab icons

https://gerrit.wikimedia.org/r/533327

Change 547495 had a related patch set uploaded (by Tpt; owner: Isarra):
[mediawiki/extensions/ProofreadPage@wmf/1.35.0-wmf.4] Add page navigation tabs in correct order skin-side and remove js requirement for Vector tab icons

https://gerrit.wikimedia.org/r/547495

Change 547495 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@wmf/1.35.0-wmf.4] Add page navigation tabs in correct order skin-side and remove js requirement for Vector tab icons

https://gerrit.wikimedia.org/r/547495

Change 533328 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Clean up ProofreadPage page tabs a bit

https://gerrit.wikimedia.org/r/533328

Mentioned in SAL (#wikimedia-operations) [2019-10-31T11:23:19Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.4/extensions/ProofreadPage/: SWAT: e0d5ce9: Add page navigation tabs in correct order skin-side and remove js requirement for Vector tab icons (T231250); ed17da2: Makes sure that Vector default background does not override the navigation arrows (T236969) (duration: 01m 02s)